astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- FK5

# FK5

class `astropy.coordinates.builtin_systems.``FK5`(*args, **kwargs)

  Bases: `astropy.coordinates.coordsystems.SphericalCoordinatesBase`

  A coordinate in the FK5 system.

  Parameters:

  coordstr : str

  > A single string with the coordinates. Cannot be used with `dec` and `ra` nor `x`/`y`/`z`.

  ra : `Angle`, float, int, str

  > This must be given with `dec`.

  dec : `Angle`, float, int, str

  > This must be given with `ra`.

  distance : `Distance`, optional

  > This may be given with `dec` and `ra` or `coordstr` and not `x`, `y`, or `z`. If not given, `None` (unit sphere) will be assumed.

  x : number

  > The first cartesian coordinate. Must be given with `y` and `z` and not with `ra` or `dec` nor `coordstr`.

  y : number

  > The second cartesian coordinate. Must be given with `x` and `z` and not with `ra` or `dec` nor `coordstr`.

  z : number

  > The third cartesian coordinate. Must be given with `x` and `y` and not with `ra` or `dec` nor `coordstr`.

  cartpoint : `CartesianPoints`

  > A cartesian point with the coordinates. Cannot be used with any other arguments.

  unit :

  > The `unit` parameter’s interpretation depends on what other parameters are given:

  > - If `ra` and `dec` or `coordstr` are given:

  >     `unit` must be a length-2 sequence specifying the units of `ra` and `dec`, respectively. They can be either `UnitBase` objects or strings that will be converted using `Unit`. They can also be None to attempt to automatically interpret the units (see `Angle` for details.) If `unit` is just `None`, this will be interpreted the same as `(None, None)`.

  > - If `x`, `y`, and `z` are given:

  >     `unit` must be a single unit with dimensions of length

  equinox : `Time`, optional

  > The equinox for these coordinates. Defaults to J2000.

  obstime : `Time` or None

  > The time of observation for this coordinate. If None, it will be taken to be the same as the `equinox`.

  Alternatively, a single argument that is any kind of spherical coordinate :

  can be provided, and will be converted to `FK5` and used as this :

  coordinate. :

  Attributes Summary

  `dec` |
  `equinox` |
  `obstime` |
  `ra` |

  Methods Summary

  `precess_to`(newequinox) | Precesses the coordinates from their current `equinox` to a new equinox and returns the resulting coordinate.

  Attributes Documentation

  `dec`
  `equinox`
  `obstime`
  `ra`

  Methods Documentation

  `precess_to`(newequinox)

    Precesses the coordinates from their current `equinox` to a new equinox and returns the resulting coordinate.

    Parameters:

    newequinox : `Time`

    > The equinox to precess these coordinates to.

    Returns:

    newcoord : FK5

    > The new coordinate